%define oname stsci
Name: python-module-%oname
Version: 2.10
Release: alt4
Summary: Python packages for a general astronomical data analysis infrastructure
License: BSD
Group: Sciences/Mathematics
Url: http://www.stsci.edu/resources/software_hardware/pyraf/stsci_python/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: http://stsdas.stsci.edu/download/stsci_python_2.10/stsci_python_2.10.tar.gz

BuildRequires(pre): rpm-build-python
%setup_python_module %oname
BuildPreReq: gcc-fortran libnumpy-devel libX11-devel xorg-xproto-devel
BuildPreReq: Mayavi python-module-sphinx-devel
%add_python_req_skip AppKit numarray objc scipy_distutils

%description
STSCI_PYTHON is a collection of Python packages (with C extensions)
that has been developed to provide a general astronomical data analysis
infrastructure. They can be used standalone from within Python or as
Python tasks that are accessible from within STSDAS whens running under
PyRAF.

STSCI_PYTHON is developed by the Science Software Branch at the Space
Telescope Science Institute.

%package tests
Summary: Tests for STSCI_PYTHON
Group: Development/Python
Requires: %name = %version-%release
%py_requires nose

%description tests
STSCI_PYTHON is a collection of Python packages (with C extensions)
that has been developed to provide a general astronomical data analysis
infrastructure. They can be used standalone from within Python or as
Python tasks that are accessible from within STSDAS whens running under
PyRAF.

STSCI_PYTHON is developed by the Science Software Branch at the Space
Telescope Science Institute.

This package contains tests for STSCI_PYTHON.

%package pickles
Summary: Pickles for STSCI
Group: Development/Python

%description pickles
STSCI_PYTHON is a collection of Python packages (with C extensions)
that has been developed to provide a general astronomical data analysis
infrastructure. They can be used standalone from within Python or as
Python tasks that are accessible from within STSDAS whens running under
PyRAF.

STSCI_PYTHON is developed by the Science Software Branch at the Space
Telescope Science Institute.

This package contains pickles for STSCI_PYTHON.

%prep
%setup

%prepare_sphinx .

%build
%python_build_debug

%install
%python_install

#cp -f numpy-1.3.0/doc/source/conf.py $PWD
export PYTHONPATH=%buildroot%python_sitelibdir
cp -f $PWD/pywcs/doc/source/conf.py %buildroot%python_sitelibdir
%generate_pickles %buildroot%python_sitelibdir $PWD/pywcs/doc/source stsci
rm -f %buildroot%python_sitelibdir/conf.py
install -d %buildroot%python_sitelibdir/stsci
cp -fR pickle %buildroot%python_sitelibdir/stsci

%files
%doc RELEASE_NOTES
%_bindir/*
%python_sitelibdir/*
%exclude %python_sitelibdir/*/test*
%exclude %python_sitelibdir/stsci/pickle

%files tests
%python_sitelibdir/*/test*

%files pickles
%dir %python_sitelibdir/stsci
%python_sitelibdir/stsci/pickle

%changelog
* Tue Apr 05 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.10-alt4
- Rebuilt with python-module-sphinx-devel

* Sat Mar 26 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.10-alt3
- Rebuilt for debuginfo

* Mon Oct 18 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.10-alt2
- Fixed underlinking

* Wed Jul 28 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.10-alt1
- Version 2.10
- Added tests

* Thu Apr 01 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.9-alt1
- Initial build for Sisyphus

